| AnnotationEvent |

    1   /*
    2    *  Copyright (c) 1998-2001, The University of Sheffield.
    3    *
    4    *  This file is part of GATE (see http://gate.ac.uk/), and is free
    5    *  software, licenced under the GNU Library General Public License,
    6    *  Version 2, June 1991 (in the distribution as file licence.html,
    7    *  and also available at http://gate.ac.uk/gate/licence.html).
    8    *
    9    *  Kalina Bontcheva 21/10/2001
    10   *
    11   *  $Id: AnnotationEvent.java,v 1.1 2001/10/21 13:26:56 kalina Exp $
    12   */
    13
    14  package gate.event;
    15
    16  import java.util.EventObject;
    17  import gate.*;
    18
    19  /**
    20   * This class models events fired by an {@link gate.Annotation}.
    21   */
    22  public class AnnotationEvent extends GateEvent{
    23
    24    /**Event type used for situations when an annotation has been updated*/
    25    public static final int ANNOTATION_UPDATED = 601;
    26
    27
    28    /**
    29     * Constructor.
    30     * @param source the {@link gate.Annotation} that fired the event
    31     * @param type the type of the event
    32     */
    33    public AnnotationEvent(Annotation source,
    34                              int type) {
    35      super(source, type);
    36    }
    37
    38  }

| AnnotationEvent |